#
# Programmer en s’amusant avec Ruby
# Projet 9 : Acey Ducey
# Programmeur : Chris Haupt
# Un jeu de cartes dans lequel vous devez essayer de deviner
# si la prochaine carte se trouvera ou non entre les deux
# cartes précédentes. Ne vous trompez pas sur votre mise !
#


require_relative "jeu"
require_relative "paquet"
require_relative "carte"
require_relative "joueur"

NB_JETONS_INIT = 10
NB_JOUEURS_MIN = 2

puts "Bienvenue dans le jeu de Acey Deucey"
print "Entrez le nombre de joueurs : "
nb_joueurs = gets
nb_joueurs = nb_joueurs.to_i
if nb_joueurs >= NB_JOUEURS_MIN
  # Prépare le tableau des joueurs
  joueurs = []
  # Ajouter ici le code pour créer les joueurs
  (0...nb_joueurs).each do |index|
    print "Entrez le nom du joueur ##{index + 1} : "
    nom = gets
    nom = nom.chomp
    joueurs << Joueur.new(nom, NB_JETONS_INIT)
  end
  moteur_jeu = Jeu.new(joueurs)
  moteur_jeu.afficher_jetons
  moteur_jeu.jeu
else
  puts "Il devrait y avoir au moins #{NB_JOUEURS_MIN} joueurs !"
end


