class Carte
COULEURS = %w(Pique Carreau Coeur Trèfle)
RANGS = %w(2 3 4 5 6 7 8 9 10 Valet Dame Roi As)

attr_accessor :rang, :couleur

def initialize(rang, couleur)
  @rang = rang
  @couleur = couleur
end
def to_s
  "#{rang} de #{couleur}"
end

# Retourne -1 si carte1 plus petit que carte2, 0 en cas d'égalité,
# et 1 si carte1 plus grand que carte2
def self.compare_rang(carte1, carte2)
  RANGS.index(carte1.rang) <=> RANGS.index(carte2.rang)
end
def self.creer_cartes
  cartes = []
  COULEURS.each do |couleur|
    RANGS.each do |rang|
      cartes << Carte.new(rang, couleur)
    end
  end
  cartes
end
end
