require 'gosu'

class Cellule
  LARGEUR = 10
  HAUTEUR = 10

def initialize(fenetre, vivante, colonne, ligne)
  @@couleurs ||= {rouge: Gosu::Color.argb(0xaaff0000), vert: Gosu::Color.argb(0xaa00ff00), bleu: Gosu::Color.argb(0xaa0000ff)}
  @@fenetre ||= fenetre
  @vivante = vivante
  @colonne = colonne
  @ligne = ligne
end

  def draw
    if vivante?
      x1 = @colonne * LARGEUR
      y1 = @ligne * HAUTEUR
      x2 = x1 + LARGEUR
      y2 = y1
      x3 = x2
      y3 = y2 + HAUTEUR
      x4 = x1
      y4 = y3
      c = @@couleurs[:vert]
      @@fenetre.draw_quad(x1, y1, c, x2, y2, c, x3, y3, c, x4, y4, c, 20)
    end
  end

def points_vie
  vivante? ? 1 : 0
end

def vivante?
  @vivante
end

def morte!
  @vivante = false
end

def vivante!
  @vivante = true
end


end

