#
# Programmer en samusant avec Ruby
# Projet 11 : Le Jeu de la Vie
# Programmeur : Chris Haupt
# Une version graphique du Jeu de la Vie de Conway
# 
# Pour lancer le programme, utilisez :
# ruby vie.rb
#

require 'gosu'
require_relative 'jeu'

class Vie < Gosu::Window
  def initialize(generations, sim)
    super(800, 800)
    self.caption = "Le Jeu de la Vie"
    @jeu = Jeu.new(self, generations, sim)
  end

  def update
    @jeu.update
  end
  def draw
    @jeu.draw
  end
end

puts "Bienvenue dans le Jeu de la Vie"
print "Combien de générations ? (0 pour un nombre infini) "
generations = gets.to_i
print "Choisissez une simulation (de 1 à 5) "
sim = gets.to_i

fenetre = Vie.new(generations, sim)
fenetre.show

