#
# Programmer en s’amusant avec Ruby
# Projet 8 : Cryptage & Décryptage
# Programmeur : Chris Haupt
# Un programme qui crypte et décrypte un document
# en utilisant le chiffre de César
#


class Cesar
# Le reste du code vient s'insérer ici
end


class Crypto
COMMANDES = ['c', 'd']
  def initialize
    @fichier_entree = ''
    @fichier_sortie = ''
    @motpasse = ''
  end
# Le reste du code vient s'insérer ici
def exec
  if lit_commande && lit_fichier_entree && lit_fichier_sortie && lit_secret
    traite_fichiers
    true
  else
    false
  end
end
def lit_commande
  print "Voulez-vous (c)rypter ou (d)écrypter un fichier ? "
  @commande = gets.chomp.downcase
  if !COMMANDES.include?(@commande)
    puts "Commande inconnue, désolé !"
    return false
  end
  true
end
def lit_fichier_entree
  print "Entrez le nom du fichier d'entrée : "
  @fichier_entree = gets.chomp
  # Vérifie si le fichier existe
  if !File.exists?(@fichier_entree)
    puts "Je ne trouve pas le fichier demandé, désolé !"
    return false
  end
  true
end
def lit_fichier_sortie
  print "Entrez le nom du fichier de sortie : "
  @fichier_sortie = gets.chomp
  if File.exists?(@fichier_sortie)
    puts "Ce fichier existe déjà. Je ne peux pas remplacer son contenu, désolé !"
    return false
  end
  true
end
def lit_secret
  print "Entrez votre mot de passe secret : "
  @motpasse = gets.chomp
end
def traite_fichiers
  encodage = Cesar.new(@motpasse.size)
  File.open(@fichier_sortie, "w") do |sortie|
    IO.foreach(@fichier_entree) do |ligne|
      conversion_ligne = convertit(encodage, ligne)
      sortie.puts conversion_ligne
    end
  end
end
def convertit(encodage, chaine)
  if @commande == 'c'
    encodage.encrypte(chaine)
  else
    encodage.decrypte(chaine)
  end
end
end

class Cesar
def initialize(decalage)
  alphabet_bas = 'bcdefghijklmnopqrstuvwxyz'
  alphabet_haut = alphabet_bas.upcase
  alphabet = alphabet_bas + alphabet_haut
  indice = decalage % alphabet.size
  alphabet_crypte = alphabet[indice..-1] + alphabet[0...indice]
  cfg_tables_correspondance(alphabet, alphabet_crypte)
end
def cfg_tables_correspondance(alphabet_decrypte,alphabet_crypte)
  @encrypte_hash = {}
  @decrypte_hash = {}
  0.upto(alphabet_decrypte.size) do |indice|
    @encrypte_hash[alphabet_decrypte[indice]] = alphabet_crypte[indice]
    @decrypte_hash[alphabet_crypte[indice]] = alphabet_decrypte[indice]
  end
end
def encrypte(chaine)
  resultat = []
  chaine.each_char do |c|
    if @encrypte_hash[c]
      resultat << @encrypte_hash[c]
    else
      resultat << c
    end
  end
  resultat.join
end
def decrypte(chaine)
  resultat = []
  chaine.each_char do |c|
    if @decrypte_hash[c]
      resultat << @decrypte_hash[c]
    else
      resultat << c
    end
  end
  resultat.join
end

end


puts "Crypto va crypter ou décrypter un fichier de votre choix"
puts ""
crypto = Crypto.new
if crypto.exec
  puts "Terminé !"
else
  puts "Il y a un problème !"
end

